#ifndef SRCOMM3_StatusBar_h
#define SRCOMM3_StatusBar_h

class StatusBar
{
  protected:
	bool active;
	int size;
	int color;
	int status;
  public:
	static int min_y, max_y;

	StatusBar();
	virtual ~StatusBar();

    void Hide() { active = 0; min_y = 1; max_y = 25; }
    void Show() { active = 1; min_y = 2; max_y = 24; }

	int Color() { return color; }
	int HelpStatus() { return status; }
	void SetHelpStatus( int s ) { status = s; }

	virtual void Display( string user, const char* username, char c );
	virtual void DisplayTime( Time t );
	virtual void WindowDisplay();
	virtual long TimeLeft();
	virtual void ForceDisplayTime();
	virtual void SetupWindow( int NewStatus );
};

#endif

