#ifndef SRCOMM3_Files_h
#define SRCOMM3_Files_h

#include <srcomm3/srparam.h>

class errorfileout: public standardout
{
	LineBuffer msg;
  public:
	errorfileout();
	~errorfileout();

    virtual void CC _put( int len, const char c[] );
	const LineBuffer& LastMessage() { return msg; }
};

extern errorfileout ErrorLog;

extern Resource ANSINewsFileName;
extern Resource TextNewsFileName;
extern Resource ANSINewsFileName1;
extern Resource TextNewsFileName1;
extern Resource ANSINewsFileName2;
extern Resource TextNewsFileName2;
extern Resource ANSINewsFileName3;
extern Resource TextNewsFileName3;
extern Resource ANSINewsFileName4;
extern Resource TextNewsFileName4;
extern Resource ANSINewsFileName5;
extern Resource TextNewsFileName5;
extern Resource ANSINewsFileName6;
extern Resource TextNewsFileName6;
extern Resource ANSINewsFileName7;
extern Resource TextNewsFileName7;
extern Resource ANSINewsFileName8;
extern Resource TextNewsFileName8;
extern Resource ANSINewsFileName9;
extern Resource TextNewsFileName9;

class NewsFile: public standardout
{
  public:
    virtual void CC _put( int len, const char c[] );
    void open();
	void close();
};
extern NewsFile News;

extern attr aBracket, aBold, aNumber;

#define bold aBracket<<'['<<aBold
#define nobold aBracket<<']'<<aNormal

// Get yes or no answer ( Y=1, N=0 )
int CC yesno( const char *prompt, int defaultvalue );

// Draw line n characters long
void CC line( int n, attr color );

// Filtered input character
int FilterInput( const char* set, int upper = 1 );

#endif

