#ifndef SRCOMM3_SrArray_h
#define SRCOMM3_SrArray_h

// it's up to the compiler options to define RANGECHECK
#define RANGE_CHECK_HANDLER array_bound_error
#define NULL_POINTER_HANDLER null_pointer_error
#include "unit/array.h"

template <int size> class CString: public Array<char,0,size-1>
{
  public:
	operator const char* () const { return data; }
	operator char* () const { return (char *)data; }
};

#endif

