#ifndef VGA_H
#define VGA_H

// Set all colors to default
void SetRGBPalette();

// Set color to default values
void SetRGBPalette( int index );

// Set color in the palette ( range 0-255 for r, g, b )
void SetRGBPalette( int index, int r, int g, int b );

// Set border color
void SetVGABorder( int col );

// Load font character(s)
int LoadVGAFont( char far *buf, int ascii, int num );

// Detect VGA or MCGA card
int HasVGA();

#endif  VGA_H

